Subject: Re: [Tools-discuss] RFC and I-D Citation Tool

From: Ole Jacobsen <[email-masked]>
Date: Thu, 30 Aug 2012 08:20:05 -0700 (PDT)

No, for I-D, I want the filename LAST because I want to (if possible)
have it one ONE line, not wrapped.

Ole

Ole J. Jacobsen
Editor and Publisher,  The Internet Protocol Journal
Cisco Systems
Tel: +1 408-527-8972   Mobile: +1 415-370-4628
E-mail: [email-masked]  URL: http://www.cisco.com/ipj
Skype: organdemo

On Thu, 30 Aug 2012, Henrik Levkowetz wrote:

> Hi Lars,
> 
> The suggestion below is fine for me; I'd like to hear if it also works
> for Ole, who had the idea for the tool in the first place.
> 
> Ole?
> 
> 
> Best regards,
> 
> 	Henrik
> 
> On 2012-08-30 16:16 Eggert, Lars said:
> > On Aug 9, 2012, at 17:53, "Eggert, Lars" <[email-masked]> wrote:
> > > one suggestion: I-Ds must be cited as "Work in Progress" only. From the
> > > boilerplate text:
> > >
> > >    Internet-Drafts are draft documents valid for a maximum of six months
> > >    and may be updated, replaced, or obsoleted by other documents at any
> > >    time.  It is inappropriate to use Internet-Drafts as reference
> > >           ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > >    material or to cite them other than as "work in progress."
> > >    ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
> > >
> > > I typically do it like this. Instead of:
> > >
> > > Alia Atlas, Cisco Systems, Dave Ward, Juniper Networks, and Thomas Nadeau,
> > > "Interface to the Routing System Framework," July 2012,
> > > draft-ward-irs-framework-00.
> > >
> > > I use:
> > >
> > > Alia Atlas, Cisco Systems, Dave Ward, Juniper Networks, and Thomas Nadeau,
> > > "Interface to the Routing System Framework," Internet-Draft
> > > draft-ward-irs-framework-00, Work in Progress, July 2012.
> >
> > Using this string in the "Citation output template for drafts" field on
> > http://tools.ietf.org/tools/citation/ does this:
> >
> > {authors.andlist}, "{doctitle}," Internet-Draft {docname}, Work in Progress,
> > {date:%B %Y}.
> >
> > Make this the default?
> >
> > Lars
> >
>

---

From: Ole Jacobsen <[email-masked]>
Date: Thu, 30 Aug 2012 11:55:04 -0700 (PDT)

Henrik,

I like that, and I wish to clarify this a little:

The tool was designed in response to MY request to fit MY "need" to 
generate something that is standard in MY publication. I shared it 
with the rest of you because I thought it turned out very nice, and of 
course you can tweak it to suit your own needs.

I've had the debate with Braden and others too many times over the 
years to want to get into it again. I always include the term "work in 
progress" to indicate the document's "status" (even if it may well be 
expired by the time this gets to print). The filename which is NOT a 
URL is simply included to aid searching, and from my experience it 
usually finds the most recent version. It would be nice if the actual
text in the final version of an I-D that really did progress said
something like "this is now RFC foo, see which" (the term "see which" 
is something I learned from a librarian, Jake Feinler to be exact),
but maybe our datatracker tools does this in a different way, I have
not kept track :-)

Main point: I publish a lot of articles about [IETF] emerging 
technologies and Internet Drafts are often the ONLY available sources 
for detailed (if not yet cooked) specs. I don't agree with the notion
that these should not be allowed as references in the sense that I
use references in my publication, but I am not claiming anything about 
what the IE*F, the RFC Editor and others should do.

Further, I would WELCOME an article in IPJ which describes in some 
details how documents come about in our community, it would be 
especially timely now in light of the RFC futures debate that we
are having! And, if you can stand some papework, we (Cisco) will even
pay you $1,000 for such a piece. Of course such an article would be
the PERFECT place in which to elaborate on the dangers of, or 
appropriateness of including I-D citations in any place (perhaps
I should use the Parliamentary "in another place" here, especially
to amuse Brian :-)

Ole

Ole J. Jacobsen

On Thu, 30 Aug 2012, Henrik Levkowetz wrote:

> Hi,
> 
> On 2012-08-30 17:20 Ole Jacobsen said the following:
> > 
> For the tool, I'm planning to resolve this as follows for now:
> 
>  * I'm going to add cookie support, so any user of the tool, after the first
>    time, gets the templates he used the previous time he used the tool (with
>    a given browser), so everyone can tweak things to his preference and have
>    it stick.
> 
>  * I'm going to change the default template for drafts to this:
> 
>    {authors.andlist}, "{doctitle}," Work in Progress, {date:%B %Y}, {docname}
> 
>    which should let anyone who don't want the explicit draftname shown delete
>    it easily, in addition to lowering the chances of it being broken across
>    lines.
> 
> 
> Best regards,
> 
> 	Henrik
> 
> 
> > Ole
> > 
> > 
> > Ole J. Jacobsen